/**
 * encapsulates tap object of json response
 *
 * @param {TmaTap}	tap
 */
var TmaTap = (function() {

	function TmaTap(tap) {

		// call super class constructor
		TmaTap._super.constructor.apply(this);

		// empty default data
		this.index		= -1;
		this.status		= 0;
		this.tapid_hex	= "00000000";
		this.tapid		= 0;
		this.name		= "";
		this.version	= "";
		this.description= "";
		this.file_name	= "";
		this.author		= "";

		// init
		this.init( tap );

	}

	JK.inherit(TmaTap, JKobject);

	return TmaTap;

})();
